Create Slack Channel Mapping

Map a Slack channel to a TaskAgent for this installation.

Authentication

AuthorizationBearer

Bearer token authentication using JWT tokens from Ory Kratos/Hydra

Path parameters

org_idstringRequiredformat: "uuid"
The organization ID
project_idstringRequiredformat: "uuid"
The project ID
installation_idstringRequiredformat: "uuid"

Request

This endpoint expects an object.
task_agent_idstringRequiredformat: "uuid"
TaskAgent assigned to this channel.
channel_idstring or nullOptional<=32 characters

Slack channel ID. If omitted, resolved from channel_name.

channel_namestring or nullOptional<=255 characters

Human-readable Slack channel name. Used to resolve channel_id when not provided.

Response

Successful Response
idstringformat: "uuid"
Slack channel mapping ID.
slack_installation_idstringformat: "uuid"
Parent Slack installation ID.
channel_idstring
Slack channel ID.
task_agent_idstringformat: "uuid"
TaskAgent assigned to this channel.
createdstring
When the channel mapping was created.
modifiedstring
When the channel mapping was last updated.
channel_namestring or null

Human-readable Slack channel name.

Errors

400
Bad Request Error
403
Forbidden Error
422
Unprocessable Entity Error